### Method

# Gcr SystemPrompter register

#### Declaration [src]

    void
    gcr_system_prompter_register (
      GcrSystemPrompter* self,
      GDBusConnection* connection
    )

#### Description [src]

Register this system prompter on the DBus `connection`.

This makes the prompter available for clients to call. The prompter will remain registered until `gcr_system_prompter_unregister()` is called, or the prompter is unreferenced.

#### Parameters

`connection`

  Type: `GDBusConnection`

  A DBus connection.

  The data is owned by the caller of the method.